Bug 53445 - ifdown infinite loop
Summary: ifdown infinite loop
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-09 01:54 UTC by Frank Sweetser
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-09 08:15:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifdown eth0 run with set -x (77.10 KB, text/plain)
2001-09-09 01:57 UTC, Frank Sweetser
no flags Details
eth0 config (99 bytes, text/plain)
2001-09-09 01:58 UTC, Frank Sweetser
no flags Details

Description Frank Sweetser 2001-09-09 01:54:57 UTC
/sbin/ifdown eth0 goes into an infinite loop, either run manually or on
shutdown.  results with set -x attached.

Comment 1 Frank Sweetser 2001-09-09 01:57:28 UTC
Created attachment 31394 [details]
ifdown eth0 run with set -x

Comment 2 Frank Sweetser 2001-09-09 01:58:51 UTC
Created attachment 31395 [details]
eth0 config

Comment 3 Frank Sweetser 2001-09-09 02:01:08 UTC
Just tried it with the HWADDR line commented out of ifcfg-eth0, works fine.

Comment 4 Bill Nottingham 2001-09-09 08:15:39 UTC
I *believe* this is fixed in 6.37-1 and later. Does it continue with that version?

Comment 5 Frank Sweetser 2001-09-10 13:03:31 UTC
Yup - works fine with 6.39-1 out of rawhide.


Note You need to log in before you can comment on or make changes to this bug.